
Vn.Address = new Class
({
	Extends: Vn.Module

	,activate: function ()
	{
		this.$('model').setInfo ('a', 'address_view', 'hedera', ['id'], 'id');
		this.$('model').setDefault ('customer_id', 'a',
			new Sql.Func ({schema: 'account', name: 'user_get_id'}));
	}
	
	,onStatusChange: function (form)
	{
		if (form.ready && this.$('address').value == 0)
			form.insertRow ();
	}
	
	,onOperationsDone: function ()
	{
		Htk.Toast.showMessage (_('AddressChangedSuccessfully'));
		this.onReturnClick ();
	}

	,onAcceptClick: function ()
	{
		this.$('iter').performOperations ();
	}

	,onReturnClick: function ()
	{
		window.history.back();
	}
});

